#ifndef _cvcl__include__circuit_h_
#define _cvcl__include__circuit_h_

#include "variable.h"
#include "theorem.h"

using namespace std;

namespace CVCL
{

class SearchEngineFast;

class Circuit
{
 private:
  Theorem d_thm;
  Literal d_lits[4];

 public:
  Circuit(SearchEngineFast* se, const Theorem& thm);
  bool propagate(SearchEngineFast* se);
};

} // namespace CVCL

#endif
